# $Revision: 1.9 $, $Date: 2012/02/24 08:32:52 $
# TODO
# - add db/{installdb,upgradedb} (Perl) somewhere
#
# Conditional build:
%bcond_with	pgsql	# build without pgsql support (does not seem to work)
%bcond_without	mysql	# build without mysql support
%bcond_without	ssl	# build without ssl support

Summary:	NDOUTILS (Nagios Data Output Utils) addon
Summary(pl.UTF-8):	Dodatek NDOUTILS (Nagios Data Output Utils)
Name:		nagios-ndoutils
Version:	1.5
Release:	1
License:	GPL v2
Group:		Networking
Source0:	http://downloads.sourceforge.net/nagios/ndoutils-1-5.tar.gz
# Source0-md5:	5503e23c9b172a9d77f9b12190ff0dfb
Source1:	ndo2db.init
Patch0:		config.patch
URL:		http://sourceforge.net/projects/nagios/
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ssl:BuildRequires:	openssl-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.228
Requires:	nagios >= 3.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_libdir		%{_prefix}/%{_lib}/nagios

%description
The NDOUTILS (Nagios Data Output Utils) addon allows you to move
status and event information from Nagios to a database for later
retrieval and processing.

%description -l pl.UTF-8
Dodatek NDOUTILS (Nagios Data Output Utils) pozwala przenosić
informacje o stanie i zdarzeniach z Nagiosa do bazy danych w celu
późniejszego odczytu i przetwarzania.

%prep
%setup -q -n ndoutils-1-5
%patch0 -p1

# some typo ;)
grep -r 20052-2009 -l . | xargs sed -i -e 's,20052-2009,2005-2009,'

%build
%configure \
	%{?with_mysql:--enable-mysql} \
	%{?with_pgsql:--enable-pgsql} \
	%{?with_ssl:--enable-ssl} \
	--bindir=%{_sbindir} \
	--localstatedir=/var/lib/nagios \
	--with-init-dir=/etc/rc.d/init.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir},%{_sbindir}}

%{__make} fullinstall \
	INSTALL_OPTS="" \
	INIT_OPTS="" \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ndo2db

mv $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}}/ndomod.o

for sample in $RPM_BUILD_ROOT%{_sysconfdir}/*-sample; do
	cfg=${sample%%-sample}
	mv $sample $cfg
done

# sample line that should be added to nagios.cfg for this module to work
echo 'broker_module=%{_libdir}/ndomod.o config_file=%{_sysconfdir}/ndomod.cfg' \
	> $RPM_BUILD_ROOT%{_sysconfdir}/ndomod-load.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ndo2db
%service ndo2db restart

%preun
if [ "$1" = "0" ]; then
	%service -q ndo2db stop
	/sbin/chkconfig --del ndo2db
fi

%files
%defattr(644,root,root,755)
%doc README REQUIREMENTS TODO UPGRADING db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndo2db.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndomod-load.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ndomod.cfg
%attr(754,root,root) /etc/rc.d/init.d/ndo2db
%attr(755,root,root) %{_sbindir}/file2sock
%attr(755,root,root) %{_sbindir}/log2ndo
%attr(755,root,root) %{_sbindir}/ndo2db
%attr(755,root,root) %{_sbindir}/sockdebug

%attr(755,root,root) %{_libdir}/ndomod.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-ndoutils.spec,v $
Revision 1.9  2012/02/24 08:32:52  baggins
- rel 1

Revision 1.8  2012/02/05 23:09:30  adamg
- updated to 1.5

Revision 1.7  2012/01/14 22:57:17  glen
- fix paths in config

Revision 1.6  2012/01/14 22:51:22  glen
- initscript deps

Revision 1.5  2012/01/14 22:49:44  glen
- add pldized initscript

Revision 1.4  2012/01/14 22:38:32  glen
- up to 1.4b9; enable ssl; bconds for mysql, pgsql, ssl

Revision 1.3  2008/11/26 21:09:41  glen
- update to 1.4b7, switch to nagios 3

Revision 1.2  2007/02/15 10:17:44  qboosh
- pl

Revision 1.1  2007/02/12 20:38:52  glen
- NFY
